## r-cran-opencv 0.5.1

=== DESCRIPTION ===
Package: opencv
Type: Package
Title: Bindings to 'OpenCV' Computer Vision Library
Version: 0.5.1
Authors@R: c(
    person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroenooms@gmail.com", 
      comment = c(ORCID = "0000-0002-4035-0289")),
    person('Jan', 'Wijffels', role = 'aut'))
Description: Exposes some of the available 'OpenCV' <https://opencv.org/> algorithms,
    such as a QR code scanner, and edge, body or face detection. These can either be 
    applied to analyze static images, or to filter live video footage from a camera device.
License: MIT + file LICENSE
SystemRequirements: OpenCV 3 or newer: libopencv-dev (Debian, Ubuntu)
        or opencv-devel (Fedora). The QR code detector requires at
        least libopencv 4.5.2.
URL: https://docs.ropensci.org/opencv/
        https://ropensci.r-universe.dev/opencv
BugReports: https://github.com/ropensci/opencv/issues
LinkingTo: Rcpp
Imports: Rcpp, magrittr
Suggests: grDevices, qrcode, testthat (>= 3.0.0)
Encoding: UTF-8
RoxygenNote: 7.2.3
Config/testthat/edition: 3
NeedsCompilation: yes
Packaged: 2025-03-31 11:10:13 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  Jan Wijffels [aut]
Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
Repository: CRAN
Date/Publication: 2025-03-31 11:40:02 UTC

=== debian/changelog ===
r-cran-opencv (0.5.1-1) unstable; urgency=medium

  * Initial release (closes: #1116172)

 -- Andrius Merkys <merkys@debian.org>  Wed, 24 Sep 2025 02:53:35 -0400

=== debian/control ===
Source: r-cran-opencv
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andrius Merkys <merkys@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-opencv
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-opencv.git
Homepage: https://cran.r-project.org/package=opencv
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               libopencv-dev,
               r-base-dev,
               r-cran-rcpp,
               r-cran-magrittr
Testsuite: autopkgtest-pkg-r

Package: r-cran-opencv
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Bindings to OpenCV Computer Vision Library
 Exposes some of the available OpenCV algorithms, such as a QR code scanner,
 and edge, body or face detection. These can either be applied to analyze static
 images, or to filter live video footage from a camera device.

## r-cran-opencv 0.5.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: opencv
 Type: Package
 Title: Bindings to 'OpenCV' Computer Vision Library
-Version: 0.5.1
+Version: 0.5.2
 Authors@R: c(
     person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroenooms@gmail.com", 
       comment = c(ORCID = "0000-0002-4035-0289")),
@@ -23,9 +23,9 @@
 RoxygenNote: 7.2.3
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2025-03-31 11:10:13 UTC; jeroen
-Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
+Packaged: 2026-02-21 14:48:01 UTC; jeroen
+Author: Jeroen Ooms [aut, cre] (ORCID: <https://orcid.org/0000-0002-4035-0289>),
   Jan Wijffels [aut]
 Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-03-31 11:40:02 UTC
+Date/Publication: 2026-02-22 00:40:02 UTC

=== debian/changelog ===
r-cran-opencv (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2
  * Binary package depends on opencv-data.

 -- Andrius Merkys <merkys@debian.org>  Wed, 25 Feb 2026 02:40:36 -0500

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,8 @@
 
 Package: r-cran-opencv
 Architecture: any
-Depends: ${R:Depends},
+Depends: opencv-data,
+         ${R:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/opencv_([-\d.]*)\.tar\.gz
